package com.eden.room.common.enums;

/**
 * 图片类型枚举
 */
public enum ImageTypeEnum {
    
    /** 房源图片 */
    ROOM_IMAGE("1","房源图片"),
    
    /** 户型图 */
    FLOOR_PLAN("2","户型图");


    private final String key;

    private final String value;

    public String getKey() {
        return key;
    }

    public String getValue() {
        return value;
    }

    ImageTypeEnum(String key, String value) {
        this.value = value;
        this.key = key;
    }

    /**
     * 根据值获取枚举
     *
     * @param value 枚举值
     * @return 枚举
     */
    public static String getByValue(String value) {
        for (ImageTypeEnum status : values()) {
            if (status.getValue().equals(value)) {
                return status.getKey();
            }
        }
        return null;
    }
    /**
     * 根据枚举获取值
     *
     * @param key
     * @return 枚举
     */
    public static String getValue(String key) {
        for (ImageTypeEnum status : values()) {
            if (status.getKey().equals(key)) {
                return status.getValue();
            }
        }
        return null;
    }
    /**
     * 校验枚举值是否有效
     *
     * @param key 枚举值
     * @return 是否有效
     */
    public static boolean isValid(String key) {
        for (ImageTypeEnum status : values()) {
            if (status.getKey().equals(key)) {
                return true;
            }
        }
        return false;
    }
} 