package com.eden.room.common.enums;

/**
 * 单位
 */
public enum PriceUnitEnum {

    /** 元/㎡·天 */
    PRICE_UNIT_ENUM_1("1","元/m²·天"),

    /** 元/㎡·月 */
    PRICE_UNIT_ENUM_2("2","元/m²·月"),
    PRICE_UNIT_ENUM_3("3","元/月"),
    PRICE_UNIT_ENUM_4("4","元/天"),
    PRICE_UNIT_ENUM_5("5","元/年");


    private final String key;

    private final String value;

    public String getKey() {
        return key;
    }

    public String getValue() {
        return value;
    }

    PriceUnitEnum(String key, String value) {
        this.value = value;
        this.key = key;
    }

    /**
     * 根据值获取枚举
     *
     * @param value 枚举值
     * @return 枚举
     */
    public static String getByValue(String value) {
        for (PriceUnitEnum status : values()) {
            if (status.getValue().equals(value)) {
                return status.getKey();
            }
        }
        return null;
    }
    /**
     * 根据枚举获取值
     *
     * @param key
     * @return 枚举
     */
    public static String getValue(String key) {
        for (PriceUnitEnum status : values()) {
            if (status.getKey().equals(key)) {
                return status.getValue();
            }
        }
        return null;
    }
    /**
     * 校验枚举值是否有效
     *
     * @param key 枚举值
     * @return 是否有效
     */
    public static boolean isValid(String key) {
        for (PriceUnitEnum status : values()) {
            if (status.getKey().equals(key)) {
                return true;
            }
        }
        return false;
    }
} 