package com.eden.room.domain.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;

/**
 * 房源导入DTO
 */
@Data
public class RoomImportDTO {
    
    @ExcelProperty("项目")
    @NotBlank(message = "项目名称不能为空。")
    private String projectName;
    
    @ExcelProperty("楼宇")
    @NotBlank(message = "楼宇名称不能为空。")
    private String buildingName;
    
    @ExcelProperty("楼层")
    @NotBlank(message = "楼层名称不能为空。")
    private String floorName;

    /** 房号 */
    @ExcelProperty("房号")
    @NotBlank(message = "房号不能为空。")
    private String roomNumber;

    /** 房间数字编号 */
    @ExcelProperty("房间数字编号")
    private String roomDigitalNumber;

    /** 计租面积 */
    @ExcelProperty("计租面积（m²）")
    private BigDecimal rentalArea;

    /** 计费面积 */
    @ExcelProperty("计费面积（m²）")
    private BigDecimal billingArea;

    /** 建筑面积 */
    @ExcelProperty("建筑面积")
    private BigDecimal buildingArea;

    /** 层高 */
    @ExcelProperty("层高（m）")
    private BigDecimal height;

    /** 报价 */
    @ExcelProperty("报价")
    private BigDecimal price;

    /** 底价 */
    @ExcelProperty("底价")
    private BigDecimal floorPrice;

    /** 单位 */
    @ExcelProperty("单位")
    private String priceUnit;

    /** 房源备案号 */
    @ExcelProperty("房源备案号")
    private String roomRecordNumber;

    /** 标签 */
    @ExcelProperty("标签")
    private String tags;

    /** 房源管理编号 */
    @ExcelProperty("房源管理编号")
    private String roomManageNumber;

    /** 导入结果说明 */
    @ExcelProperty("导入结果说明")
    private String importResult="";


    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getBuildingName() {
        return buildingName;
    }

    public void setBuildingName(String buildingName) {
        this.buildingName = buildingName;
    }

    public String getFloorName() {
        return floorName;
    }

    public void setFloorName(String floorName) {
        this.floorName = floorName;
    }

    public String getRoomNumber() {
        return roomNumber;
    }

    public void setRoomNumber(String roomNumber) {
        this.roomNumber = roomNumber;
    }

    public String getRoomDigitalNumber() {
        return roomDigitalNumber;
    }

    public void setRoomDigitalNumber(String roomDigitalNumber) {
        this.roomDigitalNumber = roomDigitalNumber;
    }

    public BigDecimal getRentalArea() {
        return rentalArea;
    }

    public void setRentalArea(BigDecimal rentalArea) {
        this.rentalArea = rentalArea;
    }

    public BigDecimal getBillingArea() {
        return billingArea;
    }

    public void setBillingArea(BigDecimal billingArea) {
        this.billingArea = billingArea;
    }

    public BigDecimal getBuildingArea() {
        return buildingArea;
    }

    public void setBuildingArea(BigDecimal buildingArea) {
        this.buildingArea = buildingArea;
    }

    public BigDecimal getHeight() {
        return height;
    }

    public void setHeight(BigDecimal height) {
        this.height = height;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public BigDecimal getFloorPrice() {
        return floorPrice;
    }

    public void setFloorPrice(BigDecimal floorPrice) {
        this.floorPrice = floorPrice;
    }

    public String getPriceUnit() {
        return priceUnit;
    }

    public void setPriceUnit(String priceUnit) {
        this.priceUnit = priceUnit;
    }

    public String getRoomRecordNumber() {
        return roomRecordNumber;
    }

    public void setRoomRecordNumber(String roomRecordNumber) {
        this.roomRecordNumber = roomRecordNumber;
    }

    public String getTags() {
        return tags;
    }

    public void setTags(String tags) {
        this.tags = tags;
    }

    public String getRoomManageNumber() {
        return roomManageNumber;
    }

    public void setRoomManageNumber(String roomManageNumber) {
        this.roomManageNumber = roomManageNumber;
    }

    public String getImportResult() {
        return importResult;
    }

    public void setImportResult(String importResult) {
        this.importResult = importResult;
    }

}