package com.eden.room.utils;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 枚举转换注解
 * 用于标记需要将枚举key转换为value的字段
 */
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
public @interface EnumConvert {
    /**
     * 枚举类
     */
    Class<? extends Enum<?>> value();
    
    /**
     * 获取value的方法名
     */
    String method() default "getValue";
} 