package com.eden.room.utils;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.*;

/**
 * 枚举校验注解
 */
@Target({ElementType.FIELD, ElementType.PARAMETER})
@Retention(RetentionPolicy.RUNTIME)
@Constraint(validatedBy = EnumValidator.class)
public @interface EnumValid {
    /**
     * 枚举类
     */
    Class<? extends Enum<?>> value();

    /**
     * 校验方法名
     */
    String method() default "isValid";

    /**
     * 错误信息
     */
    String message() default "无效的枚举值";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
} 